
Website Monitoring - Feature #2291

Ability to have per site response time thresholds

08/15/2018 05:48 PM - Luke Murphey

Status: Closed Start date: 08/15/2018

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.8   

Description

https://answers.splunk.com/answers/671784/is-there-a-way-to-extend-the-response-time-thresho.html

Associated revisions

Revision 471 - 09/26/2019 10:29 PM - lmurphey

Adding recognition of respones time field

Reference #2291

Revision 474 - 09/27/2019 12:28 AM - lmurphey

Changing timeout to use the duration field

Reference #2291

Revision 479 - 09/27/2019 01:05 AM - lmurphey

Adding ability to set the timeout on the batch input creator

Reference #2291

History

#1 - 08/28/2019 08:59 PM - Luke Murphey

A couple of options:

1. Implement as a new option in the input

2. Implement as a lookup file

#2 - 08/31/2019 05:55 PM - Luke Murphey

- Assignee set to Luke Murphey

- Target version set to 2.8

#3 - 09/18/2019 05:55 PM - Luke Murphey

https://github.com/LukeMurphey/splunk-website-monitoring/issues/33

#4 - 09/26/2019 09:41 PM - Luke Murphey

Below is what needs to be updated.

To get alerting to work:
1. Modular input: to accept threshold

2. Modular input admin page: to accept threshold value

3. Alert search "Website Performance Problem": to fire on thresholds

1. Perhaps a new macro `response_time_threshold(threshold)`

To improve rendering the

1. WebsiteStatusCellRenderer.js:

1. Might need to make a special field for rendering the status

2. Execute summary dashboard: to put sites into the slow category if they take too long

#5 - 09/27/2019 01:15 AM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100
